
import request from '@/utils/request/index'

/**
 * @description: 乐团补助标准列表
 */
export const orchestraSubsidyStandardPage = (params: object) => {
  return request({
    url: '/cbs-app/orchestraSubsidyStandard/page',
    method: 'post',
    data: params,
  } as any)
}

/**
 * @description: 乐团补助标准添加
 */
export const orchestraSubsidyStandardSave = (params: object) => {
  return request({
    url: '/cbs-app/orchestraSubsidyStandard/save',
    method: 'post',
    data: params,
  } as any)
}

/**
 * @description: 乐团补助标准修改
 */
export const orchestraSubsidyStandardUpdate = (params: object) => {
  return request({
    url: '/cbs-app/orchestraSubsidyStandard/update',
    method: 'post',
    data: params,
  } as any)
}

/**
 * @description: 城市收费设置列表
 */
export const cityFeeSettingPage = (params: object) => {
  return request({
    url: '/cbs-app/cityFeeSetting/page',
    method: 'post',
    data: params,
  } as any)
}

/**
 * @description: 城市收费设置添加
 */
export const cityFeeSettingSave = (params: object) => {
  return request({
    url: '/cbs-app/cityFeeSetting/save',
    method: 'post',
    data: params,
  } as any)
}

/**
 * @description: 城市收费设置修改
 */
export const cityFeeSettingUpdate = (params: object) => {
  return request({
    url: '/cbs-app/cityFeeSetting/update',
    method: 'post',
    data: params,
  } as any)
}

/**
 * @description: 获取区域表
 */
export const sysAreaPage = (params: object) => {
  return request({
    url: '/cbs-app/sysArea/page',
    method: 'post',
    data: params,
  })
}

/**
 * @description: 获取区域详情
 */
export const sysAreaDetail = (id: number) => {
  return request({
    url: `/cbs-app//sysArea/detail/${id}`,
    method: 'get'
  })
}

/**
 * @description: 根据code获取区域详情
 */
export const sysAreaDetailCode = (id: number | string) => {
  return request({
    url: `/cbs-app/sysArea/queryByCode/${id}`,
    method: 'get',
    requestType: 'form'
  } as any)
}

/**
 * @description: 查询全部区域
 */
export const queryAllProvince = () => {
  return request({
    url: `/cbs-app/sysArea/queryAllProvince`,
    method: 'get',
    requestType: 'form'
  } as any)
}