import request from '@/utils/request/index'

/**
 * @description: 帮助中心列表
 */
export const helpCenterContentPage = (params: object) => {
  return request({
    url: '/cbs-app/helpCenterContent/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 帮助中心-启用/停用
 */
export const helpCenterContentStatus = (params: any) => {
  return request({
    url: '/cbs-app/helpCenterContent/status/' + params.id,
    method: 'post'
  } as any)
}


/**
 * @description: 帮助中心添加
 */
export const helpCenterContentSave = (params: object) => {
  return request({
    url: '/cbs-app/helpCenterContent/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 帮助中心修改
 */
export const helpCenterContentUpdate = (params: object) => {
  return request({
    url: '/cbs-app/helpCenterContent/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 帮助中心删除
 */
export const helpCenterContentRemove = (params: object) => {
  return request({
    url: '/cbs-app/helpCenterContent/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 帮助中心分类列表
 */
export const helpCenterCatalogPage = (params: object) => {
  return request({
    url: '/cbs-app/helpCenterCatalog/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 帮助中心分类添加
 */
export const helpCenterCatalogSave = (params: object) => {
  return request({
    url: '/cbs-app/helpCenterCatalog/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 帮助中心分类更新
 */
export const helpCenterCatalogUpdate = (params: object) => {
  return request({
    url: '/cbs-app/helpCenterCatalog/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 帮助中心分类删除
 */
export const helpCenterCatalogRemove = (params: object) => {
  return request({
    url: '/cbs-app/helpCenterCatalog/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 资讯列表
 */
export const sysNewsInformationPage = (params: object) => {
  return request({
    url: '/cbs-app/sysNewsInformation/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 资讯添加
 */
export const sysNewsInformationSave = (params: object) => {
  return request({
    url: '/cbs-app/sysNewsInformation/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 资讯更新
 */
export const sysNewsInformationUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysNewsInformation/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 资讯删除
 */
export const sysNewsInformationRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysNewsInformation/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 公告列表
 */
export const sysNoticePage = (params: object) => {
  return request({
    url: '/cbs-app/sysNotice/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 公告添加
 */
export const sysNoticeSave = (params: object) => {
  return request({
    url: '/cbs-app/sysNotice/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 公告更新
 */
export const sysNoticeUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysNotice/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 公告删除
 */
export const sysNoticeRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysNotice/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 公告启用/停用
 */
export const sysNoticeStatus = (params?: any) => {
  return request({
    url: '/cbs-app/sysNotice/status/' + params.id,
    method: 'post',
    requestType: 'form'
  } as any)
}

/**
 * @description: APP按钮管理列表
 */
export const sysMenuButtonPage = (params: object) => {
  return request({
    url: '/cbs-app/sysMenuButton/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: APP按钮管理添加
 */
export const sysMenuButtonSave = (params: object) => {
  return request({
    url: '/cbs-app/sysMenuButton/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: APP按钮管理更新
 */
export const sysMenuButtonUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysMenuButton/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: APP按钮管理删除
 */
export const sysMenuButtonRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysMenuButton/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 乐谱标签列表
 */
export const musicTagPage = (params: object) => {
  return request({
    url: '/cbs-app/musicTag/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 乐谱标签添加
 */
export const musicTagSave = (params: object) => {
  return request({
    url: '/cbs-app/musicTag/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 乐谱标签更新
 */
export const musicTagUpdate = (params: object) => {
  return request({
    url: '/cbs-app/musicTag/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 乐谱标签删除
 */
export const musicTagRemove = (params: object) => {
  return request({
    url: '/cbs-app/musicTag/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 乐谱标签启用/停用
 */
export const musicTagState = (params: any) => {
  return request({
    url: '/cbs-app/musicTag/state/' + params.id,
    method: 'post',
    requestType: 'form'
  } as any)
}

/**
 * @description: 乐谱列表
 */
export const musicSheetPage = (params: object) => {
  return request({
    url: '/cbs-app/musicSheet/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 乐谱添加
 */
export const musicSheetSave = (params: object) => {
  return request({
    url: '/cbs-app/musicSheet/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 乐谱更新
 */
export const musicSheetUpdate = (params: object) => {
  return request({
    url: '/cbs-app/musicSheet/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 乐谱删除
 */
export const musicSheetRemove = (params: object) => {
  return request({
    url: '/cbs-app/musicSheet/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 乐谱详情
 */
export const musicSheetDetail = (params?: any) => {
  return request({
    url: '/cbs-app/musicSheet/detail/' + params.id,
    method: 'get',
    requestType: 'form'
  } as any)
}


/**
 * @description: 乐谱-启用-停用
 */
export const musicSheetStatus = (params?: any) => {
  return request({
    url: '/cbs-app/musicSheet/status',
    method: 'post',
    requestType: 'form',
    data: params
  } as any)
}
