import request from '@/utils/request/index'

/**
 * @description: 系统应用信息列表
 */
export const sysApplicationPage = (params: object) => {
  return request({
    url: '/cbs-app/sysApplication/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统应用信息添加
 */
export const sysApplicationSave = (params: object) => {
  return request({
    url: '/cbs-app/sysApplication/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统应用信息添加
 */
export const sysApplicationUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysApplication/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统应用信息删除
 */
export const sysApplicationRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysApplication/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 系统应用信息详情
 */
export const sysApplicationDetail = (params: any) => {
  return request({
    url: '/cbs-app/sysApplication/detail/' + params.id,
    method: 'get',
    requestType: 'form'
  } as any)
}

/**
 * @description: 菜单权限列表
 */
export const sysMenuPage = (params: object) => {
  return request({
    url: '/cbs-app/sysMenu/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 菜单权限添加
 */
export const sysMenuSave = (params: object) => {
  return request({
    url: '/cbs-app/sysMenu/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 菜单权限修改
 */
export const sysMenuUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysMenu/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 菜单权限删除
 */
export const sysMenuRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysMenu/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}
