import request from '@/utils/request/index'

/**
 * @description: 系统应用信息列表
 */
export const sysApplicationPage = (params: object) => {
  return request({
    url: '/cbs-app/sysApplication/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统应用信息添加
 */
export const sysApplicationSave = (params: object) => {
  return request({
    url: '/cbs-app/sysApplication/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统应用信息添加
 */
export const sysApplicationUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysApplication/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统应用信息删除
 */
export const sysApplicationRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysApplication/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 系统应用信息详情
 */
export const sysApplicationDetail = (params: any) => {
  return request({
    url: '/cbs-app/sysApplication/detail/' + params.id,
    method: 'get',
    requestType: 'form'
  } as any)
}

/**
 * @description: 菜单权限列表
 */
export const sysMenuPage = (params: object) => {
  return request({
    url: '/cbs-app/sysMenu/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 菜单权限添加
 */
export const sysMenuSave = (params: object) => {
  return request({
    url: '/cbs-app/sysMenu/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 菜单权限修改
 */
export const sysMenuUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysMenu/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 菜单权限删除
 */
export const sysMenuRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysMenu/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 系统角色列表
 */
export const sysRolePage = (params: object) => {
  return request({
    url: '/cbs-app/sysRole/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统角色添加
 */
export const sysRoleSave = (params: object) => {
  return request({
    url: '/cbs-app/sysRole/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统角色修改
 */
export const sysRoleUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysRole/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 系统角色删除
 */
export const sysRoleRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysRole/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 系统角色详情
 */
export const sysRoleDetail = (params: any) => {
  return request({
    url: '/cbs-app/sysRole/detail/' + params.id,
    method: 'get',
    requestType: 'form'
  } as any)
}

/**
 * @description: 岗位列表
 */
export const sysPositionPage = (params: object) => {
  return request({
    url: '/cbs-app/sysPosition/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 岗位添加
 */
export const sysPositionSave = (params: object) => {
  return request({
    url: '/cbs-app/sysPosition/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 岗位修改
 */
export const sysPositionUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysPosition/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 岗位删除
 */
export const sysPositionRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysPosition/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 员工列表
 */
export const sysEmployeePage = (params: object) => {
  return request({
    url: '/cbs-app/sysEmployee/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 员工添加
 */
export const sysEmployeeSave = (params: object) => {
  return request({
    url: '/cbs-app/sysEmployee/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 员工修改
 */
export const sysEmployeeUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysEmployee/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 员工删除
 */
export const sysEmployeeRemove = (params: object) => {
  return request({
    url: '/cbs-app/sysEmployee/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 员工 激活-冻结
 */
export const sysEmployeeStatus = (params: object) => {
  return request({
    url: '/cbs-app/sysEmployee/status',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 员工 详情
 */
export const sysEmployeeDetail = (params: any) => {
  return request({
    url: '/cbs-app/sysEmployee/detail/' + params.id,
    method: 'get',
    params: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 员工 重置密码
 */
export const resetPassword = (params: object) => {
  return request({
    url: '/cbs-app/user/resetPassword',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 系统配置 列表
 */
export const sysParamConfigPage = (params?: object) => {
  return request({
    url: '/cbs-app/sysParamConfig/page',
    method: 'post',
    data: params
  } as any)
}
/**
 * @description: 系统配置 列表
 */
export const sysParamConfigSingle = (params?: object) => {
  return request({
    url: '/cbs-app/sysParamConfig/queryByParamName',
    method: 'get',
    params
  } as any)
}

/**
 * @description: 系统配置 更新
 */
export const sysParamConfigUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/sysParamConfig/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 支付服务配置参数
 */
export const sysPaymentConfigPage = (params?: object) => {
  return request({
    url: '/cbs-app/sysPaymentConfig/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 支付服务配置参数-新增
 */
export const sysPaymentConfigSave = (params?: object) => {
  return request({
    url: '/cbs-app/sysPaymentConfig/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 支付服务配置参数-修改
 */
export const sysPaymentConfigUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/sysPaymentConfig/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 支付服务配置参数-删除
 */
export const sysPaymentConfigRemove = (params?: object) => {
  return request({
    url: '/cbs-app/sysPaymentConfig/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 消息配置
 */
export const sysMessageConfigPage = (params?: object) => {
  return request({
    url: '/cbs-app/sysMessageConfig/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 消息配置-新增
 */
export const sysMessageConfigSave = (params?: object) => {
  return request({
    url: '/cbs-app/sysMessageConfig/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 消息配置-修改
 */
export const sysMessageConfigUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/sysMessageConfig/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 消息配置-删除
 */
export const sysMessageConfigRemove = (params?: object) => {
  return request({
    url: '/cbs-app/sysMessageConfig/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 协议
 */
export const schoolContractTemplatePage = (params?: object) => {
  return request({
    url: '/cbs-app/schoolContractTemplate/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 协议-新增
 */
export const schoolContractTemplateSave = (params?: object) => {
  return request({
    url: '/cbs-app/schoolContractTemplate/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 协议-修改
 */
export const schoolContractTemplateUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/schoolContractTemplate/update',
    method: 'post',
    data: params
  } as any)
}
/**
 * @description: 协议-启用协议
 */
export const schoolContractTemplateUpdateStatus = (params?: object) => {
  return request({
    url: '/cbs-app/schoolContractTemplate/updateStatus',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 协议-详情
 */
export const schoolContractTemplateDetail = (params?: any) => {
  return request({
    url: '/cbs-app/schoolContractTemplate/detail/' + params.id,
    method: 'get',
    requestType: 'form'
  } as any)
}

/**
 * @description: 声部基础配置表-列表
 */
export const subjectBasicConfigPage = (params?: object) => {
  return request({
    url: '/cbs-app/subjectBasicConfig/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 声部基础配置表-新增
 */
export const subjectBasicConfigSave = (params?: object) => {
  return request({
    url: '/cbs-app/subjectBasicConfig/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 声部基础配置表-修改
 */
export const subjectBasicConfigUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/subjectBasicConfig/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 声部-修改
 */
export const subjectBasicConfigUpdateConfigStatus = (params?: object) => {
  return request({
    url: '/cbs-app/subjectBasicConfig/updateConfigStatus',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 声部-列表
 */
export const subjectPage = (params?: object) => {
  return request({
    url: '/cbs-app/subject/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 声部-添加
 */
export const subjectSave = (params?: object) => {
  return request({
    url: '/cbs-app/subject/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 声部-修改
 */
export const subjectUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/subject/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 商品列表
 */
export const productList = (params?: object) => {
  return request({
    url: '/cbs-app/open/mall/productSearch',
    method: 'post',
    data: params,
    noToken: true
  } as any)
}

/**
 * @description: 商品-详情
 */
export const productDetail = (params?: any) => {
  return request({
    url: '/cbs-app/open/mall/product/detail/' + params.id,
    method: 'get',
    noToken: true
  } as any)
}

/**
 * @description: APP版本信息管理
 */
export const appVersionInfoPage = (params?: any) => {
  return request({
    url: '/cbs-app/appVersionInfo/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: APP版本信息管理-添加
 */
export const appVersionInfoSave = (params?: object) => {
  return request({
    url: '/cbs-app/appVersionInfo/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: APP版本信息管理-修改
 */
export const appVersionInfoUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/appVersionInfo/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 平台建议
 */
export const sysSuggestionPage = (params?: any) => {
  return request({
    url: '/cbs-app/sysSuggestion/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 节假日表-按年查询节假日
 */
export const holidaysFestivalsQuery = (params?: any) => {
  return request({
    url: '/cbs-app/holidaysFestivals/query/' + params.year,
    method: 'get',
    requestType: 'form'
  } as any)
}

/**
 * @description: 节假日表-添加
 */
export const holidaysFestivalsSave = (params?: object) => {
  return request({
    url: '/cbs-app/holidaysFestivals/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 节假日表-修改
 */
export const holidaysFestivalsUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/holidaysFestivals/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 请假类别-列表
 */
export const leaveCategoryPage = (params?: object) => {
  return request({
    url: '/cbs-app/leaveCategory/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 请假类别-添加
 */
export const leaveCategorySave = (params?: object) => {
  return request({
    url: '/cbs-app/leaveCategory/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 请假类别-修改
 */
export const leaveCategoryUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/leaveCategory/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 请假类别-删除
 */
export const leaveCategoryRemove = (params?: object) => {
  return request({
    url: '/cbs-app/leaveCategory/remove',
    method: 'post',
    data: params,
    requestType: 'form'
  } as any)
}

/**
 * @description: 获取会员-原价
 */
export const getVipPriceSettings = (params?: object) => {
  return request({
    url: '/cbs-app/vipPriceSettings/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 修改会员-售价
 */
export const setVipPriceSettings = (params?: object) => {
  return request({
    url: '/cbs-app/vipPriceSettings/update',
    method: 'post',
    data: params
  } as any)
}
/**
 * @description: 批量修改
 */
export const vipPriceSettingsBatchUpdate = (params?: object) => {
  return request({
    url: '/cbs-app/vipPriceSettings/batchUpdate',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 设备号管理列表
 */
export const sysUserDevicePage = (params?: object) => {
  return request({
    url: '/cbs-app/sysUserDevice/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 设备号管理-删除
 */
export const sysUserDeviceRemove = (params?: object) => {
  return request({
    url: '/cbs-app/sysUserDevice/removeIds',
    method: 'post',
    data: params
  } as any)
}
